Package com.tableau.hyperapi

## Enum Persistence

- java.lang.Object
- - java.lang.Enum<Persistence>
  - - com.tableau.hyperapi.Persistence

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Persistence>`

      public enum Persistence
      extends java.lang.Enum<Persistence>

  The persistence level of a table.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PERMANENT` | A permanent table.
    `TEMPORARY` | A temporary table.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Persistence` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Persistence[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERMANENT

          public static final Persistence PERMANENT

      A permanent table.

    - #### TEMPORARY

          public static final Persistence TEMPORARY

      A temporary table. The table is only visible on the connection it was created on and is dropped when this connection is closed.

  - ### Method Detail

    - #### values

          public static Persistence[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Persistence c : Persistence.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Persistence valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null